Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.task
Class WriteDtdToFileCommand

    java.lang.Object
      org.apache.ddlutils.task.Command
          org.apache.ddlutils.task.WriteDtdToFileCommand

    public class WriteDtdToFileCommand

extends Command

Creates a DTD that specifies the layout for data XML files.
This sub task does not require a database connection, so the `dataSource` sub element of the enclosing task can be omitted.

Version:
  $Revision: 289996 $

Field Summary

Fields inherited from class org.apache.ddlutils.task.Command
`_log`

Constructor Summary
`WriteDtdToFileCommand()`

Method Summary
`void` | `execute(DatabaseTaskBase task, Database model)` Executes this command.
`boolean` | `isRequiringModel()` Specifies whether this command requires a model, i.e.
`void` | `setOutputFile(File outputFile)` Specifies the name of the file to write the DTD to.

Methods inherited from class org.apache.ddlutils.task.Command
`handleException, isFailOnError, setFailOnError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriteDtdToFileCommand

    public WriteDtdToFileCommand()

Method Detail

### setOutputFile

    public void setOutputFile(File outputFile)

  Specifies the name of the file to write the DTD to.

  Parameters:
    `outputFile` - The output file

### isRequiringModel

    public boolean isRequiringModel()

  Specifies whether this command requires a model, i.e. whether the second argument in `Command.execute(DatabaseTaskBase, Database)` cannot be `null`.

  Specified by:
    `isRequiringModel` in class `Command`
  Returns:
    `true` if this command requires a model

### execute

    public void execute(DatabaseTaskBase task,
                        Database model)
                 throws org.apache.tools.ant.BuildException

  Executes this command.

  Specified by:
    `execute` in class `Command`
  Parameters:
    `task` - The executing task
    `model` - The database model
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.